#ifndef INPUTCHANGE_H
#define INPUTCHANGE_H

#include <QDialog>
#include <QMessageBox>
#include <QKeyEvent>
#include "windowtitle.h"
#include "src/frame/xatom-helper.h"
namespace Ui {
class InputChange;
}

class InputChange : public QDialog
{
    Q_OBJECT

public:
    explicit InputChange(QWidget *parent = nullptr);
    ~InputChange();

    QString result();
    QString content();

    bool input(QString&, QString, QString, QString fileName);

public slots:
    void slotTextChanged(QString);
    void slotClose();

    void slotChangeUIFontSize(int fontSize);

protected:
    void keyPressEvent(QKeyEvent *event);
    void setLineEditSelect(QString fileName);
    int indexSuffix(QString fileName);

private:
    Ui::InputChange *ui;
    bool             m_bIsWayland;
    QString          m_result;
    QString          m_labelContent;
    QPushButton     *m_oCancelBtn;
    QPushButton     *m_oEnsureBtn;


};

#endif // INPUTCHANGE_H
